# Interface methods for submodule: RegistrationParameterScalesFromIndexShift
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import OptimizerParameterScalesEstimatorTemplateProxy as _OptimizerParameterScalesEstimatorTemplateProxy


# Interface methods for class: RegistrationParameterScalesFromIndexShift
class RegistrationParameterScalesFromIndexShiftProxy(_OptimizerParameterScalesEstimatorTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetMetric(self, _arg) -> None:
		""""""
		...

	def GetMetric(self):
		""""""
		...

	def SetTransformForward(self, _arg: bool) -> None:
		""""""
		...

	def GetTransformForward(self) -> bool:
		""""""
		...

	def TransformForwardOn(self) -> None:
		""""""
		...

	def TransformForwardOff(self) -> None:
		""""""
		...

	@overload
	def SetVirtualDomainPointSet(self, arg) -> None:
		""""""
		...

	@overload
	def SetVirtualDomainPointSet(self, _arg) -> None:
		""""""
		...

	def GetVirtualDomainPointSet(self):
		""""""
		...

	def SetCentralRegionRadius(self, _arg: int) -> None:
		""""""
		...

	def GetCentralRegionRadius(self) -> int:
		""""""
		...

	@overload
	def EstimateScales(self, scales) -> None:
		""""""
		...

	@overload
	def EstimateScales(self, parameterScales) -> None:
		""""""
		...

	def EstimateStepScale(self, step) -> float:
		""""""
		...

	def EstimateLocalStepScales(self, step, localStepScales) -> None:
		""""""
		...

	def EstimateMaximumStepSize(self) -> float:
		""""""
		...

	def SetScalesSamplingStrategy(self) -> None:
		""""""
		...

	def SetStepScaleSamplingStrategy(self) -> None:
		""""""
		...

	def SetSmallParameterVariation(self, _arg: float) -> None:
		""""""
		...

	def GetSmallParameterVariation(self) -> float:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

